/*
 * Vocoder
 *  2012 Achim Settelmeier <vocoder@m1.sirlab.de>
 *
 * structure that stores the command line options
 */

#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#include <string>
#include "types.h"

struct options_t{
	std::string formantFile;
	std::string carrierFile;
	std::string outputFile;
	
	double volume;
	
	nframes_t fps;
};


#endif
