/*
 * Vocoder
 *  2012 Achim Settelmeier <vocoder@m1.sirlab.de>
 *
 * representation of a stereo output track
 */

#ifndef __OUTPUTTRACK_H__
#define __OUTPUTTRACK_H__

#include <string>
#include "types.h"
#include "track.h"

class OutputTrack : public Track{
public:
	OutputTrack(const std::string &filename,
		    const nframes_t maxFrames,
		    const nframes_t fps);
	~OutputTrack();
	
	nframes_t writeBlock(const nframes_t numFrames);
	
private:
	
};

#endif
